> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cable.tech/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cable.tech/_mcp/server.

# Update person in batch

PUT https://api.cable.tech/v2/person
Content-Type: application/json

Reference: https://docs.cable.tech/api-documentation/api-reference/person/update-persons

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a list of Person.

- `list of Person`

## Response

### 200

Persons updated successfully

- `success` (boolean, required) — Indicates if the write operation was successful.
- `write_count` (integer, required) — The number of records written to the database.
- `message` (string, required) — Provides additional information about the operation result.
- `organization_id` (string, required) — The organization ID for which the operation was performed.

## Errors

### 400 Bad Request Error

Invalid person data

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 401 Unauthorized Error

Unauthorized request

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 404 Not Found Error

Person not found

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 429 Too Many Requests Error

Rate limit exceeded

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 500 Internal Server Error

Server error

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

## Types

### Person

Request body for adding information about persons

- `person_id` (string, required) — Unique external identifier of the person entity, ID stored in your database / back-office
- `timestamp` (datetime, required) — When this person record was created or last modified in your system, in ISO 8601 format. For example, account opening date or KYC completion time.
- `is_test_user` (boolean, required, default: false) — If the person is a test user, this should be set to true
- `is_retail_customer` (boolean, required) — Indicates if the person is in the context of retail companies. If the value is false, fields is_beneficial_owner, is_director, is_account_owner and is_shareholder are required.
- `related_company_id` (string, optional) — Unique external identifier of the related company entity
- `is_beneficial_owner` (boolean, optional) — If the person is a beneficial owner of the related company, this should be set to true. If is_retail_customer is false, this field is required.
- `is_director` (boolean, optional) — If the person is a director of the related company, this should be set to true. If is_retail_customer is false, this field is required.
- `is_account_owner` (boolean, optional) — If the person is an account owner of the related company, this should be set to true. If is_retail_customer is false, this field is required.
- `is_sole_prop` (boolean, optional) — If the related company is a sole proprietorship (or sole trader if in the UK), this should be set to true.
- `is_shareholder` (boolean, optional) — If the person is a shareholder of the related company, this should be set to true. If is_retail_customer is false, this field is required.
- `is_significant_control_person` (boolean, optional) — If the person has significant control of the related company, this should be set to true
- `ownership_percentage` (double, optional) — If the person is a shareholder of the related company, this should be set to their ownership percentage, as a value between 0 and 1
- `account_status` (enum, optional) — The account status for the related person. Refer to the Developer Guide "Entity Account Statuses" to understand what account statuses mean at Cable, and how to use them
  - Allowed values: `APPROVED`, `BLOCKED`, `CLOSED`, `PENDING`, `REJECTED`
- `name` (string, optional) — The provided full name of the person
- `first_name` (string, optional) — The provided first name of the person
- `last_name` (string, optional) — The provided last name of the person
- `email` (string, optional) — Contact email for the person
- `address` (Address, optional) — Legal/contact address for the entity
- `phone_number` (string, optional) — Contact telephone number for the person
- `date_of_birth` (date, optional)
- `nationality` (string, optional) — 2 or 3 Character ISO 3166 Country Code (https://w.wiki/4rY)
- `occupation` (string, optional) — Primary occupation of the individual
- `first_transaction_completed_at` (datetime, optional) — Original timestamp of when the person completed their first transaction
- `national_identification_number` (PersonNationalIdentificationNumber, optional)
- `product_type` (string, optional)

### GeneralErrorErrorsItems

- `field` (string, optional)
- `message` (string, optional)

### Address

Legal/contact address for the entity

- `lines` (list of string, optional)
- `city` (string, optional)
- `state` (string, optional)
- `county` (string, optional)
- `postal_code` (string, optional)
- `country` (string, optional)

### PersonNationalIdentificationNumber

- `type` (string, required) — Type of national identification number
- `value` (string, required) — National identification number

## Examples

**Request**

```json
[
  {
    "person_id": "abc123xyz",
    "timestamp": "2024-01-15T09:30:00Z",
    "is_test_user": false,
    "is_retail_customer": true
  }
]
```

**Response**

```json
{
  "success": true,
  "write_count": 1,
  "message": "Person records updated successfully.",
  "organization_id": "org789456"
}
```

**SDK Code**

```python
import requests

url = "https://api.cable.tech/v2/person"

payload = [
    {
        "person_id": "abc123xyz",
        "timestamp": "2024-01-15T09:30:00Z",
        "is_test_user": False,
        "is_retail_customer": True
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.cable.tech/v2/person';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"person_id":"abc123xyz","timestamp":"2024-01-15T09:30:00Z","is_test_user":false,"is_retail_customer":true}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cable.tech/v2/person"

	payload := strings.NewReader("[\n  {\n    \"person_id\": \"abc123xyz\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\",\n    \"is_test_user\": false,\n    \"is_retail_customer\": true\n  }\n]")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cable.tech/v2/person")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"person_id\": \"abc123xyz\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\",\n    \"is_test_user\": false,\n    \"is_retail_customer\": true\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.cable.tech/v2/person")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"person_id\": \"abc123xyz\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\",\n    \"is_test_user\": false,\n    \"is_retail_customer\": true\n  }\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.cable.tech/v2/person', [
  'body' => '[
  {
    "person_id": "abc123xyz",
    "timestamp": "2024-01-15T09:30:00Z",
    "is_test_user": false,
    "is_retail_customer": true
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cable.tech/v2/person");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"person_id\": \"abc123xyz\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\",\n    \"is_test_user\": false,\n    \"is_retail_customer\": true\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "person_id": "abc123xyz",
    "timestamp": "2024-01-15T09:30:00Z",
    "is_test_user": false,
    "is_retail_customer": true
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cable.tech/v2/person")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```